EvictionAlgorithm (Apache Geode 1.15.4)

org.apache.geode.cache

## Class EvictionAlgorithm

- java.lang.Object
- - javax.print.attribute.EnumSyntax
  - - org.apache.geode.cache.EvictionAlgorithm

- All Implemented Interfaces:
    Serializable, Cloneable

      @Immutable
      public final class EvictionAlgorithm
      extends EnumSyntax
      implements Serializable

  The algorithm used to determine when to perform an `EvictionAction`
  Since:
    GemFire 5.0
  See Also:
    `EvictionAction`, `EvictionAttributesImpl`, Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static EvictionAlgorithm` | `LIFO_ENTRY` Deprecated. For internal use only.
    `static EvictionAlgorithm` | `LIFO_MEMORY` Deprecated. For internal use only.
    `static EvictionAlgorithm` | `LRU_ENTRY` An algorithm that considers the number of Entries in the Region before invoking its `EvictionAction`
    `static EvictionAlgorithm` | `LRU_HEAP` An algorithm that considers the JVM heap size before invoking its `EvictionAction`
    `static EvictionAlgorithm` | `LRU_MEMORY` An algorithm that considers the amount of bytes consumed by the Region before invoking its `EvictionAction`
    `static EvictionAlgorithm` | `NONE` The canonical EvictionAction that represents no eviction action

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected EnumSyntax[]` | `getEnumValueTable()`
    `protected String[]` | `getStringTable()`
    `boolean` | `isLIFO()` Deprecated. For internal use only.
    `boolean` | `isLRU()` returns true if this object uses a least-recently-used algorithm
    `boolean` | `isLRUEntry()`
    `boolean` | `isLRUHeap()`
    `boolean` | `isLRUMemory()`
    `boolean` | `isNone()`
    `static EvictionAlgorithm` | `parseAction(String s)`
    `static EvictionAlgorithm` | `parseValue(int v)` Returns the eviction algorithm that corresponds to the given parameter.

    - ### Methods inherited from class javax.print.attribute.EnumSyntax

      `clone, getOffset, getValue, hashCode, readResolve, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### NONE

          @Immutable
          public static final EvictionAlgorithm NONE

      The canonical EvictionAction that represents no eviction action

    - #### LRU_ENTRY

          @Immutable
          public static final EvictionAlgorithm LRU_ENTRY

      An algorithm that considers the number of Entries in the Region before invoking its `EvictionAction`

    - #### LRU_HEAP

          @Immutable
          public static final EvictionAlgorithm LRU_HEAP

      An algorithm that considers the JVM heap size before invoking its `EvictionAction`

    - #### LRU_MEMORY

          @Immutable
          public static final EvictionAlgorithm LRU_MEMORY

      An algorithm that considers the amount of bytes consumed by the Region before invoking its `EvictionAction`

    - #### LIFO_ENTRY

          @Deprecated
           @Immutable
          public static final EvictionAlgorithm LIFO_ENTRY

      Deprecated. For internal use only.
      An algorithm that considers the number of Entries in the Region before invoking its `EvictionAction`

    - #### LIFO_MEMORY

          @Deprecated
           @Immutable
          public static final EvictionAlgorithm LIFO_MEMORY

      Deprecated. For internal use only.
      An algorithm that considers the amount of bytes consumed by the Region before invoking its `EvictionAction`

  - ### Method Detail

    - #### getStringTable

          protected String[] getStringTable()

      Overrides:
        `getStringTable` in class `EnumSyntax`

    - #### getEnumValueTable

          protected EnumSyntax[] getEnumValueTable()

      Overrides:
        `getEnumValueTable` in class `EnumSyntax`

    - #### parseValue

          public static EvictionAlgorithm parseValue(int v)

      Returns the eviction algorithm that corresponds to the given parameter. Returns `null` if no algorithm corresponds.
      Parameters:
        `v` - the parameter representation of an eviction algorithm
      Returns:
        the eviction algorithm that corresponds to the given parameter
      Since:
        GemFire 6.5

    - #### parseAction

          public static EvictionAlgorithm parseAction(String s)

    - #### isLRUEntry

          public boolean isLRUEntry()

    - #### isLRUMemory

          public boolean isLRUMemory()

    - #### isLRUHeap

          public boolean isLRUHeap()

    - #### isLRU

          public boolean isLRU()

      returns true if this object uses a least-recently-used algorithm
      Returns:
        whether this object uses a least-recently-used algorithm

    - #### isNone

          public boolean isNone()

    - #### isLIFO

          @Deprecated
          public boolean isLIFO()

      Deprecated. For internal use only.
      Returns:
        whether this object uses a last-in-first-out algorithm